{% extends "starbase.html" %}
{% load server_tags %}
{% load humanize %}
{% load cache %}

{% block content %}

    {#  {% search_bar %} #}



    <div class="row">
        <div class="col-md-9">

            <div class="alert alert-info text-center">
                Blog posts collected by the Biostar aggregator.
                To follow subscribe to the <a class="alert-link" href="{% url "planet-feed" %}">planet
                feed <i class="fa fa-rss"></i></a>
            </div>

            {% page_bar %}

            {% for post in blogposts %}

                <div class="blog-post">

                    <div>
                        <h3><a href="{{ post.link }}">{{ post.title }}</a></h3>
                    </div>

                    <div>
                        <h4>
                            written {{ post.creation_date|time_ago }}
                            by <a href="{{ post.blog.link }}">{{ post.blog.title|safe }}</a>
                        </h4>
                    </div>

                    <div>
                        {{ post.content|truncatewords:250 }}
                    </div>


                </div>
            {% endfor %}
            {% page_bar %}
        </div>
        <div class="col-md-3">
            {% cache 600 "planet-feeds" %}
                <h4>Planet Feeds</h4>

                {% for blog in blogs %}
                    <div class="blog-feed">
                        <h5><a href="{{ blog.link }}">{{ blog.title }}</a></h5>

                        <div>{{ blog.desc|safe }}</div>
                        <div class="muted">{{ blog.count }} posts, last updated {{ blog.updated_date|time_ago }} </div>
                    </div>
                {% endfor %}
            {% endcache %}
        </div>

    </div>

{% endblock %}